Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 637320 - net-fs/samba-4.7.1: /usr/include/rpcsvc/yp_prot.h:10:10: fatal error: rpc/rpc.h: No such file or directory
Summary: net-fs/samba-4.7.1: /usr/include/rpcsvc/yp_prot.h:10:10: fatal error: rpc/rpc...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's SAMBA Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: glibc-rpc
  Show dependency tree
 
Reported: 2017-11-13 15:00 UTC by Craig Andrews
Modified: 2018-08-24 20:16 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,418.30 KB, text/x-log)
2017-11-13 15:00 UTC, Craig Andrews
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Craig Andrews gentoo-dev 2017-11-13 15:00:02 UTC
# emerge samba -pv

These are the packages that would be merged, in order:

Calculating dependencies                                    ... done! 
[ebuild   R    ] net-fs/samba-4.7.1::gentoo  USE="acl cups fam pam python system-mitkrb5 systemd zeroconf -addc -addns -ads -ceph -client -cluster -debug -dmapi -gnutls -gpg -iprint -ldap -quota (-selinux) -syslog (-system-heimdal) {-test} -winbind" ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python2_7" 0 KiB


From build.log:
---
[ 564/2729] Compiling default/librpc/gen_ndr/ndr_mdssvc.c
09:52:28 runner x86_64-pc-linux-gnu-gcc -O2 -march=native -pipe -fomit-frame-pointer -flto -fuse-linker-plugin -fPIC -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS -fstack-protector -DSTATIC_NDR_MDSSVC_MODULES=NULL -D$
In file included from ../source3/include/includes.h:113:0,
                 from default/source3/librpc/gen_ndr/ndr_smbXsrv.c:3:
/usr/include/rpcsvc/yp_prot.h:10:10: fatal error: rpc/rpc.h: No such file or directory
 #include <rpc/rpc.h>
          ^~~~~~~~~~~
compilation terminated.
Waf: Leaving directory `/var/tmp/portage/net-fs/samba-4.7.1/work/samba-4.7.1-abi_x86_64.amd64/bin'
Build failed:  -> task failed (err #1):
        {task: cc ndr_smbXsrv.c -> ndr_smbXsrv_4.o}
 * ERROR: net-fs/samba-4.7.1::gentoo failed (compile phase):
 *   build failed
 *
 * Call stack:
 *     ebuild.sh, line  124:  Called src_compile
 *   environment, line 4554:  Called multilib-minimal_src_compile
 *   environment, line 2854:  Called multilib_foreach_abi 'multilib-minimal_abi_src_compile'
 *   environment, line 3085:  Called multibuild_foreach_variant '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_compile'
 *   environment, line 2720:  Called _multibuild_run '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_compile'
 *   environment, line 2718:  Called _multilib_multibuild_wrapper 'multilib-minimal_abi_src_compile'
 *   environment, line  507:  Called multilib-minimal_abi_src_compile
 *   environment, line 2848:  Called multilib_src_compile
 *   environment, line 3297:  Called waf-utils_src_compile
 *   environment, line 5578:  Called die
 * The specific snippet of code:
 *       "${WAF_BINARY}" ${_mywafconfig} ${jobs} || die "build failed"
---


# emerge --info
Portage 2.3.13 (python 3.5.4-final-0, default/linux/amd64/17.0/systemd, gcc-7.2.0, glibc-2.26-r3, 4.13.10-gentoo x86_64)
=================================================================
System uname: Linux-4.13.10-gentoo-x86_64-Intel-R-_Core-TM-_i5-6500_CPU_@_3.20GHz-with-gentoo-2.4.1
KiB Mem:    16152416 total,   3611532 free
KiB Swap:   12337144 total,  12114524 free
Timestamp of repository gentoo: Mon, 13 Nov 2017 14:00:01 +0000
Head commit of repository gentoo: 5da658803c6817e7df3e9661321c2c2694ba6de0
sh bash 4.4_p12
ld GNU ld (Gentoo 2.29.1 p2) 2.29.1
ccache version 3.3.4 [disabled]
app-shells/bash:          4.4_p12::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.26.1-r1::gentoo
dev-lang/python:          2.7.14-r1::gentoo, 3.4.6-r1::gentoo, 3.5.4-r1::gentoo
dev-util/ccache:          3.3.4-r1::gentoo
dev-util/cmake:           3.9.5::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r2::gentoo
sys-apps/openrc:          0.34.6::gentoo
sys-apps/sandbox:         2.12::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.11.6-r2::gentoo, 1.15.1-r1::gentoo
sys-devel/binutils:       2.29.1-r1::gentoo
sys-devel/gcc:            7.2.0::gentoo
sys-devel/gcc-config:     1.9.0::gentoo
sys-devel/libtool:        2.4.6-r4::gentoo
sys-devel/make:           4.2.1-r1::gentoo
sys-kernel/linux-headers: 4.13::gentoo (virtual/os-headers)
sys-libs/glibc:           2.26-r3::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts: 

x-portage
    location: /usr/local/portage
    masters: gentoo
    priority: 0

mv
    location: /var/lib/layman/mv
    sync-type: laymansync
    sync-uri: git://anongit.gentoo.org/user/mv.git
    masters: gentoo
    priority: 50

rust
    location: /var/lib/layman/rust
    sync-type: laymansync
    sync-uri: git://github.com/gentoo/gentoo-rust.git
    masters: gentoo
    priority: 50

steam-overlay
    location: /var/lib/layman/steam-overlay
    sync-type: laymansync
    sync-uri: git://github.com/anyc/steam-overlay.git
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA Intel-SDP Oracle-BCLA-JavaSE Oracle-EADLA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=native -pipe -fomit-frame-pointer -flto -fuse-linker-plugin"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.3/conf"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.1/ext-active/ /etc/php/cgi-php7.1/ext-active/ /etc/php/cli-php7.1/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -march=native -pipe -fomit-frame-pointer -flto -fuse-linker-plugin"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--jobs=4 --load-average=4.5"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs candy cgroup clean-logs collision-protect config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch parallel-install preserve-libs protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync webrsync-gpg xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -flto"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac aacs acl acpi aiglx alac alsa amd64 amr amrnb amrwb animation apache2 apng artworkextra asf aspnet2 asyncns authdaemond avahi avi bash-completion bcmath berkdb bitmap-fonts bluetooth bluray bmp bonjour bzip2 cairo caps cdda cddb cdparanoia cdr celt chm clang cli cracklib crypt cryptsetup css cups curl cxx daap dbus device-mapper dga dhclient dirac divx4linux dlloader dns dnssec dovecot-sasl dpms dri dri3 dts dv dvb dvd dvdr dvdread egl enca encode exif ext4 faac fam fame fat fbcondecor fbsplash ffmpeg fftw firefox flac fontconfig foomaticdb fortran freetype ftp fuse gaim gd gdbm geoip gif gimpprint glamor gles gles1 gles2 glib glibc-omitfp glitz glut gost gphoto2 gsm gstreamer gstreamer10 gtk gtk2 gudev hardenedphp hbci howl howl-compat http2 https hwdb iconv icu idn imagemagick imap imlib innodb ipv6 java java5 javafx jbig jce joystick jpeg jpeg2k junit kdbus kdehiddenvisibility kvm lapack lcms libfame libkms libnotify librtmp libusb lirc live llvm lm_sensors lvm lz4 lzma lzo mad maildir mdadm mdnsresponder-compat metalink mjpeg mmap mms mng modules motif mozilla mozsvg mp3 mpeg mpeg2 mplayer mpx multilib musepack mysql mythtv natspec ncurses nemesi network networkmanager nls nptl nptlonly ntfs ocl-icd offensive ofx ogg oggvorbis openal opencl openexr opengl openmp openvg opus pam pango pcre pcre16 pcre32 pdf pdflib perl pgo phonon pic pie png pnp policykit ppd ppds pulseaudio python qt qt3 qt3support qt4 quicktime quvi rar readline resolvconf rtc rtmp samba schroedinger screensaver sctp sdl seccomp session sftp sharedmem shout smp sna sni sox speex spell sqlite ssh ssl steamruntime suspend2 svg systemd theora threads tiff tls transcode truetype truetype-fonts type-fonts udev udisks unicode unzip upnp ups usb user-session uxa v4l2 vaapi vcd vdpau videos virgl vorbis vpx vulkan wayland webdav webp webservices wifi win32codecs wmf wv x264 x265 xanim xattr xcb xcomposite xdg xinerama xml xml2 xpm xprint xrandr xv xvfb xvid xvmc zeroconf zip zlib" ABI_X86="64" ALSA_CARDS="hda-intel" APACHE2_MODULES="actions alias auth_basic authn_core authz_core cache_disk authn_alias authn_anon authn_dbm authn_file authz_dbm authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dconf deflate dir env expires ext_filter file_cache filter headers include info log_config logio mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias auth_digest proxy proxy_ajp proxy_connect proxy_http proxy_fcgi reqtimeout cgi cgid unixd socache_shmcb proxy_html xml2enc" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx avx2 fma3 mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" CURL_SSL="openssl" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64 pc" INPUT_DEVICES="evdev joystick keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en" LIRC_DEVICES="userspace" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-1" POSTGRES_TARGETS="postgres9_5" PYTHON_SINGLE_TARGET="python3_5" PYTHON_TARGETS="python2_7 python3_5" QEMU_SOFTMMU_TARGETS="arm i386 x86_64" QEMU_USER_TARGETS="arm i386 x86_64" RUBY_TARGETS="ruby24" USERLAND="GNU" VIDEO_CARDS="intel i965 amdgpu radeon radeonsi" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Craig Andrews gentoo-dev 2017-11-13 15:00:30 UTC
Created attachment 503844 [details]
build.log
Comment 2 Craig Andrews gentoo-dev 2017-11-13 15:31:25 UTC
Additional potentially relevant information:

[ebuild   R    ] net-libs/libtirpc-1.0.2-r1:0/3::gentoo  USE="ipv6 -kerberos -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild   R    ] sys-libs/glibc-2.26-r3:2.2::gentoo  USE="caps gd (multilib) nscd -audit -debug (-hardened) -profile (-selinux) -suid -systemtap (-vanilla)"
Comment 3 Larry the Git Cow gentoo-dev 2017-11-13 15:49:33 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=51c693cb95d3dcde67b32a3a39944e0759d1c2a3

commit 51c693cb95d3dcde67b32a3a39944e0759d1c2a3
Author:     Lars Wendler <polynomial-c@gentoo.org>
AuthorDate: 2017-11-13 15:49:04 +0000
Commit:     Lars Wendler <polynomial-c@gentoo.org>
CommitDate: 2017-11-13 15:49:29 +0000

    net-fs/samba: Fixed build with rpc-less glibc.
    
    Closes: https://bugs.gentoo.org/606542
    Closes: https://bugs.gentoo.org/637320
    Package-Manager: Portage-2.3.13, Repoman-2.3.4

 net-fs/samba/files/samba-glibc-2.26-no_rpc.patch | 14 ++++++++++++++
 net-fs/samba/samba-4.6.9.ebuild                  |  1 +
 net-fs/samba/samba-4.7.1.ebuild                  |  1 +
 3 files changed, 16 insertions(+)
Comment 4 Rolf Eike Beer 2018-08-24 20:16:14 UTC
Also happens with net-fs/samba-4.6.16.